<?php
// $Id: similargroups.admin.inc,v 1.2 2009/07/04 02:58:49 danithaca Exp $

/**
 * @file Admin file for the OG Similar Groups module
 */

function similargroups_settings_form() {
  $form = array();
  
  $form['algorithm'] = array(
    '#title' => t('Choose group similarity algorithm'),
    '#type' => 'radios',
    '#default_value' => variable_get('similargroups_algorithm', 'classical'),
    '#options' => array(
      'coocurrence' => t('Coocurrence (based on the number of same members shared by groups; good for really small number of groups and users.)'),
      'classical' => t("Classical (based on correlation coefficient; more accurate; need more groups and users or otherwise it won't work."),
    ),
    '#description' => t('Different algorithms are useful in different situations. Please leave it as the default classical algorithm unless you have small number of groups and users.')
  );
  
  $form['display_num'] = array(
    '#title' => t('Number of groups/users to display in the block.'),
    '#type' => 'select',
    '#default_value' => variable_get('similargroups_display_num', 5),
    '#options' => array(
      3 => '3',
      5 => '5',
      8 => '8',
      10 => '10',
      15 => '15',
    ),
    '#description' => t('Please specify how many items to show in the similar groups/users list.') 
  );
  
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save configuration'),
  );
  
  return $form;
}

function similargroups_settings_form_submit($form, &$form_state) {
  $display_num = $form_state['values']['display_num'];
  $algorithm = $form_state['values']['algorithm'];
  
  variable_set('similargroups_display_num', $display_num);
  variable_set('similargroups_algorithm', $algorithm);
  
  drupal_set_message(t("The configuration options have been saved."));
}